%define aurox_ver 9.3
%define rel 1


Summary: A GTK+ based, lightweight, and fast email client.
Name: sylpheed
Version: 0.9.10
Release: %{aurox_ver}.aur.%{rel}
Source: http://sylpheed.good-day.net/sylpheed/%{name}-%{version}.tar.bz2
Source1: http://silver.fureai.or.jp/hiromail/sylpheedX5.png
Patch: %{name}-0.8.9-ck.patch
Patch1: %{name}-0.8.9-ssl.patch
License: GPL
URL: http://sylpheed.good-day.net/
Requires: gtk+ >= 1.2.6
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-root
BuildPreReq: openssl-devel pkgconfig

%description
This program is an X based fast email client which has features
like:
o user-friendly and intuitive interface
o integrated NetNews client (partially implemented)
o ability of keyboard-only operation
o Mew/Wanderlust-like key bind
o multipart MIME
o unlimited multiple account handling
o message queueing
o assortment function
o XML-based address book

See /usr/share/doc/sylpheed*/README for more information.

%prep
%setup -q
%patch -p1 -b .ck
%patch1 -p1 -b .ssl

%build
autoconf
%configure --enable-ssl
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 sylpheed.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/pixmaps/sylpheed.png
%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog ChangeLog.jp README README.jp INSTALL INSTALL.jp TODO.jp
%{_bindir}/sylpheed
%{_datadir}/sylpheed
%{_sysconfdir}/X11/applnk/Internet/sylpheed.desktop
%{_datadir}/pixmaps/sylpheed.png

%changelog
* Tue Mar 02 2004 Aurox Team <aurox@aurox.org> 0:0.9.10-9.3.aur.1
- version 0.9.10

* Thu Oct 16 2003 Akira TAGOH <tagoh@redhat.com> 0.9.7-1
- New upstream release.

* Thu Jul 31 2003 Akira TAGOH <tagoh@redhat.com> 0.9.4-1
- New upstream release.

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.3-2
- rebuild

* Wed Jul 09 2003 Akira TAGOH <tagoh@redhat.com> 0.9.3-1
- New upstream release.

* Mon Jun 09 2003 Akira TAGOH <tagoh@redhat.com> 0.9.2-1
- New upstream release.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 09 2003 Akira TAGOH <tagoh@redhat.com> 0.8.11-1
- New upstream release.
- use the appropriate macros.

* Mon Mar 17 2003 Akira TAGOH <tagoh@redhat.com> 0.8.9-3
- enabled ssl support.
- sylpheed-0.8.9-ssl.patch: applied to fix the include path and links the correct libraries.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 20 2003 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.9

* Tue Jan  7 2003 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.8

* Thu Dec 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.6

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Thu Aug 29 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.2 to fix gpg fatal bug
- Fix desktop file (#72882)

* Sat Aug  3 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.1, a bug fix release

* Mon Jul 15 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.0

* Fri Jul 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Apply Japanese utf8 mail patch

* Wed Jul 10 2002 Yukihiro Nakai <ynakai@redhat.com>
- strip the binary
- fix .desktop file (#66460)

* Wed Jun 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.7.8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 28 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.7.2
- Install .desktop

* Thu Jan 31 2002 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild on new environment.

* Sun Dec 16 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.6.6

* Fri Nov 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.6.5

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Chinese and Korean fix.
- Use %%find_lang

* Wed Jul 11 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add %%lang

* Mon Jul  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.5.0

* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.61, bug fixes

* Fri Jan 12 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.52
 
* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- update to 0.4.4
- built for Powertools 7.1
- quiet setup
- minor specfile cleanup
- snipped some of the really old changelog, was very very long
- include the manual in the file list
- use %%configure and %%makeinstall as well as other predefined RPM
  macros whenever possible

* Wed Aug 30 2000 Yukihiro Nakai <ynakai@redhat.com> 
- Rebuild on Red Hat Linux 7.0 
 
* Tue Aug 29 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.28 
 
* Fri Aug 25 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.27 
 
* Sat Aug 19 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.26, and modified URL 
 
* Thu Aug 10 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.25 
 
* Fri Aug 4 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.24 
 
* Sat Jul 24 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.23 
 
* Sat Jul 20 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.22 
 
* Sun Jul 4 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.21, and modified Summary 

